Skip to content

Verify SSO URL and Redirect URL for a Client

GET
/api/v1/sso/organizations/{organization_id}/realms/{realm_id}/clients/{client_id}/verify/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/{realm_id}/clients/{client_id}/verify/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

This API verifies whether the SSO URL and Redirect URL configured for a specific Client inside an Organization and Realm are valid.

client_id
required
string

Path parameter client_id.

organization_id
required
string format: uuid

Example

019a7752-8aaa-7042-9c3e-bcbbe47f5e67

Unique identifier of the organization.

realm_id
required
string

Example

019a7847-2073-73a5-8144-d29e318ae4a2

Unique identifier of the Realm

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

SSO URL verification result

Media typeapplication/json
object
success
boolean
data
object
is_sso_url_valid
boolean
is_redirect_url_valid
boolean
message
string

Example

{
"success": true,
"data": {
"is_sso_url_valid": true,
"is_redirect_url_valid": true
},
"message": "SSO URL verification successful"
}